<div class="card mb-3">
    <div class="row no-gutters">
        @if ($category->hasImage())
        <div class="col-md-2">
            <img src="{{ Picasso::get($category->image, 'admin.thumbnail') }}" class="card-img no-radius-right" alt="{{ $category->name }}">
        </div>
        @endif
        <div class="@if ($category->hasImage()) col-md-10 @else col-md-12 @endif">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-9">
                        <h5 class="card-title"><a href="{{route('algo.categories.show', $category->id) }}">{{ $category->name }}</a> <small><code>/{{ $category->slug }}</code></small></h5>
                        <p class="card-text">
                            @if(!empty($category->description))
                                {{ $category->description }}<br />
                            @endif
                            <small class="text-muted">@lang('algo::algo.category_created') {{ $category->created_at->diffForHumans() }}</small>
                        </p>
                    </div>
                    <div class="col-md-3 pt-1 text-right">

                        @dropdownSplitButton([
                            'edit_link' =>route('algo.categories.edit', $category->id)
                        ])
                            <a type="button" href="{{route('algo.categories.destroy', $category->id) }}" data-confirm='{{ trans('algo::algo.delete_category') }}' data-id="{{ $category->id }}" class="dropdown-item js-confirm-delete text-danger">@lang('algo::algo.delete')</a>
                            <form style="display: none;" id="delete-form-{{ $category->id }}" method="POST" action="{{route('algo.categories.destroy', $category->id) }}">
                                @csrf
                                @method('DELETE')
                            </form>
                        @enddropdownSplitButton

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>