@extends('algo::layouts.app', [
    'meta_title' => trans('algo::algo.categories') . ' | Edit'
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">@lang('algo::algo.edit_category')

                    @languageSwitcher([
                        'model_id' => $category->id,
                        'resource_route_name' => 'categories'
                    ])

                </div>

                <div class="card-body">
                    @statusAlert

                    {{-- @include('admin.ui.bootstrap4.forms.tmp_errors') --}}

                    @form([
                        'action' =>route('algo.categories.update', $category->id),
                        'method' => 'PUT',
                        'files' => true
                    ])
                        @input([
                            'name' => 'image',
                            'label' => 'Slika',
                            'placeholder' => 'Odaberite sliku',
                            'type' => 'file',
                            'class' => 'form-control-file'
                        ])

                        @input([
                            'name' => 'name',
                            'label' => trans('algo::algo.label_name'),
                            'placeholder' => trans('algo::algo.placeholder_name'),
                            'value' => $category->name,
                            'required' => true
                        ])

                        @input([
                            'name' => 'slug',
                            'label' => trans('algo::algo.label_slug'),
                            'placeholder' => trans('algo::algo.placeholder_slug'),
                            'value' => $category->slug,
                            'help' => trans('algo::algo.leave_field_empty')
                        ])

                        @textarea([
                            'name' => 'description',
                            'label' => trans('algo::algo.label_description'),
                            'help' => trans('algo::algo.help_description'),
                            'value' => $category->description,
                            'rows' => 7
                        ])

                        @submit(['text' => trans('algo::algo.edit')])
                        <a class="btn btn-link" href="{{route('algo.categories.show', $category->id) }}">{{ trans('algo::algo.cancel') }}</a>
                    @endform

                </div>
            </div>
        </div>
    </div>
</div>
@endsection
