<?php

namespace Laravelista\Algo\Helpers;

use Illuminate\Config\Repository as Config;
use Illuminate\Foundation\Application;

class ValidateLocale
{
    protected $config;
    protected $app;

    public function __construct(Config $config, Application $app)
    {
        $this->config = $config;
        $this->app = $app;
    }

    /**
     * If the given locale is not in the supported locales,
     * throw 404 page not found error.
     *
     * @param string $locale
     * @return void
     *
     * @throws \Symfony\Component\HttpKernel\Exception\NotFoundHttpException
     */
    public function validate($locale)
    {
        if (!in_array($locale, $this->config->get('translatable.locales'))) {
            $this->app->abort(404);
        }
    }
}